summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorKarel Zak2009-02-05 16:20:17 +0100
committerKarel Zak2009-02-05 16:20:17 +0100
commit7ac99951a1acf44d55b59d585c7d017443dce270 (patch)
treee14d4eb4c0753cae3f4cd04a5b6a95f0c9070004 /tests
parentdocs: add suggestion about TZ=UTC to TODO file (diff)
downloadkernel-qcow2-util-linux-7ac99951a1acf44d55b59d585c7d017443dce270.tar.gz
kernel-qcow2-util-linux-7ac99951a1acf44d55b59d585c7d017443dce270.tar.xz
kernel-qcow2-util-linux-7ac99951a1acf44d55b59d585c7d017443dce270.zip
mkfs.minix: add regression test
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am1
-rw-r--r--tests/commands.sh.in1
-rw-r--r--tests/expected/ts-minix-mkfs10
-rwxr-xr-xtests/ts-minix-mkfs48
4 files changed, 60 insertions, 0 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 9010e1670..5d2ed2598 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -45,6 +45,7 @@ EXTRA_DIST = expected \
ts-lscpu-x86_64-ibme326m \
ts-lscpu-x86_64-necem14 \
ts-lscpu-x86_64-xenfull \
+ ts-minix-mkfs \
ts-mount-devname \
ts-mount-label \
ts-mount-move \
diff --git a/tests/commands.sh.in b/tests/commands.sh.in
index 3024e9467..f76208e76 100644
--- a/tests/commands.sh.in
+++ b/tests/commands.sh.in
@@ -27,6 +27,7 @@ TS_CMD_MTABLOCK=${TS_CMD_MTABLOCK:-"$TOPDIR/mount/mtab_lock_test"}
TS_CMD_MKSWAP=${TS_CMD_MKSWAP:-"$TOPDIR/disk-utils/mkswap"}
TS_CMD_MKCRAMFS=${TS_CMD_MKCRAMFS:-"$TOPDIR/disk-utils/mkfs.cramfs"}
+TS_CMD_MKMINIX=${TS_CMD_MKMINIX:-"$TOPDIR/disk-utils/mkfs.minix"}
TS_CMD_FSCKCRAMFS=${TS_CMD_FSCKCRAMFS:-"$TOPDIR/disk-utils/fsck.cramfs"}
TS_CMD_IPCS=${TS_CMD_IPCS:-"$TOPDIR/sys-utils/ipcs"}
diff --git a/tests/expected/ts-minix-mkfs b/tests/expected/ts-minix-mkfs
new file mode 100644
index 000000000..592d5dc93
--- /dev/null
+++ b/tests/expected/ts-minix-mkfs
@@ -0,0 +1,10 @@
+create minix fs
+1728 inodes
+5120 blocks
+Firstdatazone=58 (58)
+Zonesize=1024
+Maxsize=268966912
+
+create mountpoint dir
+mount the filesystem
+umount the image
diff --git a/tests/ts-minix-mkfs b/tests/ts-minix-mkfs
new file mode 100755
index 000000000..fa0ce4b94
--- /dev/null
+++ b/tests/ts-minix-mkfs
@@ -0,0 +1,48 @@
+#!/bin/bash
+#
+# Copyright (C) 2009 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux-ng.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+. ./commands.sh
+. ./functions.sh
+
+TS_COMPONENT="mkfs.minix"
+TS_DESC="mkfs"
+
+ts_init "$*"
+ts_skip_nonroot
+
+set -o pipefail
+
+IMAGE="$TS_OUTDIR/minix-loop.img"
+TS_MOUNTPOINT="$TS_OUTDIR/minix-mnt"
+DEVICE=$(ts_device_init)
+
+ts_log "create minix fs"
+$TS_CMD_MKMINIX $DEVICE 2>&1 >> $TS_OUTPUT
+
+ts_log "create mountpoint dir"
+[ -d "$TS_MOUNTPOINT" ] || mkdir -p $TS_MOUNTPOINT
+
+ts_log "mount the filesystem"
+$TS_CMD_MOUNT $DEVICE $TS_MOUNTPOINT 2>&1 >> $TS_OUTPUT
+
+# check it
+ts_is_mounted $DEVICE || ts_die "Cannot found $DEVICE in /proc/mounts" $DEVICE
+
+ts_log "umount the image"
+$TS_CMD_UMOUNT $DEVICE
+ts_device_deinit $DEVICE
+ts_finalize
+